---------------------
PatchSet 5215 
Date: 2007/08/09 13:24:51
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Fix a few doxygen complaints in text missmatches.

Members: 
	src/cbdata.h:1.1.22.1->1.1.22.2 
	src/clientStream.cc:1.11.2.2->1.11.2.3 
	src/clientStream.h:1.7.28.3->1.7.28.4 

Index: squid3/src/cbdata.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/cbdata.h,v
retrieving revision 1.1.22.1
retrieving revision 1.1.22.2
diff -u -r1.1.22.1 -r1.1.22.2
--- squid3/src/cbdata.h	9 Aug 2007 13:05:34 -0000	1.1.22.1
+++ squid3/src/cbdata.h	9 Aug 2007 13:24:51 -0000	1.1.22.2
@@ -1,5 +1,5 @@
 /*
- * $Id: cbdata.h,v 1.1.22.1 2007/08/09 13:05:34 amosjeffries Exp $
+ * $Id: cbdata.h,v 1.1.22.2 2007/08/09 13:24:51 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -47,7 +47,7 @@
  *
  \note  cbdata is intended for callback data and is tailored specifically
  *      to make callbacks less dangerous leaving as few windows of errors as
- *      possible. It is not suitable or intended as a generic RefCounted
+ *      possible. It is not suitable or intended as a generic RefCount
  *      memory allocator.
  *
  \todo CODE: make cbdata a template or class-inheritance system instead of Macros.
Index: squid3/src/clientStream.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/clientStream.cc,v
retrieving revision 1.11.2.2
retrieving revision 1.11.2.3
diff -u -r1.11.2.2 -r1.11.2.3
--- squid3/src/clientStream.cc	9 Aug 2007 13:05:34 -0000	1.11.2.2
+++ squid3/src/clientStream.cc	9 Aug 2007 13:24:51 -0000	1.11.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: clientStream.cc,v 1.11.2.2 2007/08/09 13:05:34 amosjeffries Exp $
+ * $Id: clientStream.cc,v 1.11.2.3 2007/08/09 13:24:51 amosjeffries Exp $
  *
  * DEBUG: section 87    Client-side Stream routines.
  * AUTHOR: Robert Collins
@@ -176,7 +176,8 @@
 
 /**
  \ingroup ClientStreamInternal
- * Callback the next node the in chain with it's requested data
+ *
+ * Call back the next node the in chain with it's requested data.
  */
 void
 clientStreamCallback(clientStreamNode * thisObject, ClientHttpRequest * http,
Index: squid3/src/clientStream.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/clientStream.h,v
retrieving revision 1.7.28.3
retrieving revision 1.7.28.4
diff -u -r1.7.28.3 -r1.7.28.4
--- squid3/src/clientStream.h	9 Aug 2007 10:24:20 -0000	1.7.28.3
+++ squid3/src/clientStream.h	9 Aug 2007 13:24:51 -0000	1.7.28.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: clientStream.h,v 1.7.28.3 2007/08/09 10:24:20 amosjeffries Exp $
+ * $Id: clientStream.h,v 1.7.28.4 2007/08/09 13:24:51 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -151,13 +151,13 @@
  * Return data to the next node in the stream.
  * The data may be returned immediately, or may be delayed for a later scheduling cycle.
  *
- \param node		'this' reference for the client stream
- \param req		Superset of request data, being winnowed down over time. MUST NOT be NULL.
+ \param thisObject	'this' reference for the client stream
+ \param http		Superset of request data, being winnowed down over time. MUST NOT be NULL.
  \param reply		Not NULL on the first call back only. Ownership is passed down the pipeline.
  			Each node may alter the reply if appropriate.
  \param replyBuffer	- buffer, length - where and how much.
  */
-SQUIDCEXTERN void clientStreamCallback(clientStreamNode *node, ClientHttpRequest *req, HttpReply *reply, StoreIOBuffer replyBuffer);
+SQUIDCEXTERN void clientStreamCallback(clientStreamNode *thisObject, ClientHttpRequest *http, HttpReply *reply, StoreIOBuffer replyBuffer);
 
 /**
  \ingroup ClientStreamAPI
@@ -166,11 +166,11 @@
  * metainformation and (if appropriate) the offset,length and buffer
  * parameters.
  *
- \param node		'this' reference for the client stream
- \param req		Superset of request data, being winnowed down over time. MUST NOT be NULL.
+ \param thisObject	'this' reference for the client stream
+ \param http		Superset of request data, being winnowed down over time. MUST NOT be NULL.
  \param readBuffer	- offset, length, buffer - what, how much and where.
  */
-SQUIDCEXTERN void clientStreamRead(clientStreamNode *node, ClientHttpRequest *req, StoreIOBuffer readBuffer);
+SQUIDCEXTERN void clientStreamRead(clientStreamNode *thisObject, ClientHttpRequest *http, StoreIOBuffer readBuffer);
 
 /**
  \ingroup ClientStreamAPI
@@ -179,10 +179,10 @@
  * This node MUST have cleaned up all context data, UNLESS scheduled callbacks will take care of that.
  * Informs the prev node in the list of this nodes detachment.
  *
- \param node	'this' reference for the client stream
- \param req	MUST NOT be NULL.
+ \param thisObject	'this' reference for the client stream
+ \param http		MUST NOT be NULL.
  */
-SQUIDCEXTERN void clientStreamDetach(clientStreamNode *node, ClientHttpRequest *req);
+SQUIDCEXTERN void clientStreamDetach(clientStreamNode *thisObject, ClientHttpRequest *http);
 
 /**
  \ingroup ClientStreamAPI
@@ -190,10 +190,10 @@
  * Detachs the tail of the stream. CURRENTLY DOES NOT clean up the tail node data - 
  * this must be done separately. Thus Abort may ONLY be called by the tail node.
  *
- \param node	'this' reference for the client stream
- \param req	MUST NOT be NULL.
+ \param thisObject	'this' reference for the client stream
+ \param http		MUST NOT be NULL.
  */
-SQUIDCEXTERN void clientStreamAbort(clientStreamNode *node, ClientHttpRequest *req);
+SQUIDCEXTERN void clientStreamAbort(clientStreamNode *thisObject, ClientHttpRequest *http);
 
 /**
  \ingroup ClientStreamAPI
